window.onload=function(){WindowHeight(130)}


// 检测按钮 自动清理已不存在的文件
function CheckClearButton(){
	if (confirm("你确定要进行自动清理已不存在的文件？\n\n由于大部分板块都有删除记录并连同附带的图片/文件一起删除的功能，\n所以会造成部分文件已删除了，但该上传记录却还在的现象.")==true){
		document.location.href="serverFile_deal.asp?mudi=upFileClear";
	}
}

// 检测按钮 占用数为0的文件
function CheckUseClearButton(){
	if (confirm("你确定要进行自动删除占用数为0的文件？\n\n该占用数统计精确性还在测试中，请谨慎使用。\n如发现哪里统计不正确，请及时反馈给我们网钛，以帮助我们完善程序。\n详细跟我们描述下哪里占用了图片，却没统计进去。")==true){
		document.location.href="serverFile_deal.asp?mudi=upFileUseClear";
	}
}


// 点击选择文件
var isSend = true;
function SelectFile(filePath,str,ext){
	ext = ext.toLowerCase();
	if (isSend == false){isSend = true;return false;}
	fileMode = $id('fileMode').value;
	fileFormName = $id('fileFormName').value;
	if (fileMode=="editor"){
		if (ext!="gif" && ext!="jpg" && ext!="jpeg" && ext!="bmp" && ext!="png"){
			alert("非图片文件，无法插入编辑器。");return false;
		}
		opener.document.getElementById('upImgStr').value += str +"|";
		opener.InsertStrToEditor(fileFormName,"<img src='"+ filePath + str +"' border='0' />");

	}else if (fileMode=="input"){
		opener.document.getElementById(fileFormName).value=str;

	}else if (fileMode=="productImgStr"){
		opener.document.getElementById(fileFormName).value += str +"|";
		opener.MoreImgList();

	}else{
		opener.fileFormName.value = str;

	}
	window.close();
}


// 批量选择文件
function SelectMoreFile(){
	fileMode	= $id('fileMode').value;
	fileFormName= $id('fileFormName').value;
	imgUrlPart	= document.getElementById('urlPart').value;
	var selNum = 0;
	upImgStr = "";
	editorImgStr = "";
	for (var i=0;i<$name("selDataID").length;i++){
		if ($name("selDataID")[i].checked){
			data_id = $name("selDataID")[i].value;
			data_name = $id("data"+ data_id +"_name").value;
			data_ext = $id("data"+ data_id +"_ext").value.toLowerCase();
			if (data_ext=="gif" || data_ext=="jpg" || data_ext=="jpeg" || data_ext=="bmp" || data_ext=="png"){
				selNum ++;
				upImgStr += data_name +"|";
				editorImgStr += "<img src='"+ imgUrlPart + data_name +"' border='0' />";
			}
		}
	}

	if (selNum==0){
		alert('请先选择要批量载入的图片.');return false;
	}

	opener.document.getElementById('upImgStr').value += upImgStr;
	opener.InsertStrToEditor(fileFormName,editorImgStr);

	window.close();
}
